package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TUserLocation;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author zehong
 * @date 2023-09-18
 */
public interface TUserLocationMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public TUserLocation selectTUserLocationById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tUserLocation 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TUserLocation> selectTUserLocationList(TUserLocation tUserLocation);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tUserLocation 【请填写功能名称】
     * @return 结果
     */
    public int insertTUserLocation(TUserLocation tUserLocation);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tUserLocation 【请填写功能名称】
     * @return 结果
     */
    public int updateTUserLocation(TUserLocation tUserLocation);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTUserLocationById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTUserLocationByIds(Long[] ids);

    /**
     * 分组查询位置
     * @param tUserLocation 查询实体
     * @return
     */
    List<TUserLocation> selectTUserLocationListByGroup(TUserLocation tUserLocation);
}
